# Type Alias Attributes

type Attributes = {
class?: ClassVal;
style?: StyleVal;
[attribute: string]:
| string
| number
| boolean
| (string | Falsy)[]
| { [key: string]: string | number | false | null | undefined }
| (string | Falsy)[]
| null
| undefined;
}

#### Indexable

- [attribute: string]:
  | string
  | number
  | boolean
  | (string | Falsy)[]
  | { [key: string]: string | number | false | null | undefined }
  | (string | Falsy)[]
  | null
  | undefined

- Defined in types.ts:13

##### Index

### Properties

class?
style?

## Properties

### `Optional` class

class?: ClassVal

- Defined in types.ts:15

### `Optional` style

style?: StyleVal

- Defined in types.ts:16